RANKMIRRORS(8)

NAME
rankmirrors - rank pacman mirrors by their connection and opening speed.

SYNOPSIS

rankmirrors [options] <mirrorfile | url>

DESCRIPTION

rankmirrors will rank pacman mirrors by their connection and opening speed. Pacman mirror files are located in /etc/pacman.d/. It can also rank one mirror if the URL is provided.

OPTIONS

-n <num>
    Number of servers to output, 0 for all.

-m, --max-time <num>
    Specify a ranking operation timeout, can be decimal number.

-p, --parallel
    Run tests in parallel for all servers (may be inaccurate, depends on GNU parallel).

-r, --repo
    Specify a repository name instead of guessing.

t, --times
    Only output mirrors and their response times.

-u, --url
    Test a specific URL.

-v, --verbose
    Be verbose in output.

-h, --help
    Display syntax and command-line options.

-V, --version
    Display version information.

BUGS

Bugs? You must be kidding; there are no bugs in this software. But if we happen to be wrong, file an issue with as much detail as possible at https://gitlab.archlinux.org/pacman/pacman-contrib/-/issues/new.

AUTHORS

Current maintainers:

    • Johannes Löthberg <johannes@kyriasis.com>

    • Daniel M. Capella <polyzen@archlinux.org>

For additional contributors, use git shortlog -s on the pacman-contrib.git repository.